# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/crypto/xlnx,versal-trng.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Xilinx Versal True Random Number Generator Hardware Accelerator

maintainers:
  - Harsh Jain <h.jain@amd.com>
  - Mounika Botcha <mounika.botcha@amd.com>

description:
  The Versal True Random Number Generator consists of Ring Oscillators as
  entropy source and a deterministic CTR_DRBG random bit generator (DRBG).

properties:
  compatible:
    const: xlnx,versal-trng

  reg:
    maxItems: 1

required:
  - reg

additionalProperties: false

examples:
  - |
    rng@f1230000 {
        compatible = "xlnx,versal-trng";
        reg = <0xf1230000 0x1000>;
    };
...
